package com.ssj.bean.course.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 下午3:14:54 
 * 类说明 
 */
@Entity
@Table(name="tb_course_series_setting")
public class CourseSeriesSetting  extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4050952771358416236L;
	
	/**
	 * 课程系列id
	 */
	private String courseSeriesId;
	/**
	 * 老师Id
	 */
	   private String teacherId;
	
	/**
	    * 价格
	    */
	   private BigDecimal price;
	   /**
		 * 开课时间
		 */
		private Date openTime;
		
		/**
		 *结课时间
		 */
		private Date endTime;
		
		/**
		 * 课程数
		 */
		private Integer courseSize;
		/**
		 * 间隔天数
		 */
		private Integer days;
		/**
		 * 逢周几设置
		 */
		private String  weeks;
		
		/**
		 * 上课的日期集合，用分;号相隔
		 */
		private String  courseDate;
		
		/**
		 * 图书馆
		 */
		private String libId;
		
		public String getCourseSeriesId() {
			return courseSeriesId;
		}
		public void setCourseSeriesId(String courseSeriesId) {
			this.courseSeriesId = courseSeriesId;
		}
		public String getTeacherId() {
			return teacherId;
		}
		public void setTeacherId(String teacherId) {
			this.teacherId = teacherId;
		}
		public BigDecimal getPrice() {
			return price;
		}
		public void setPrice(BigDecimal price) {
			this.price = price;
		}
		@DateTimeFormat(pattern="yyyy-MM-dd")
		public Date getOpenTime() {
			return openTime;
		}
		public void setOpenTime(Date openTime) {
			this.openTime = openTime;
		}
		public Integer getDays() {
			return days;
		}
		public void setDays(Integer days) {
			this.days = days;
		}
		public String getLibId() {
			return libId;
		}
		public void setLibId(String libId) {
			this.libId = libId;
		}
		public Date getEndTime() {
			return endTime;
		}
		public void setEndTime(Date endTime) {
			this.endTime = endTime;
		}
		public Integer getCourseSize() {
			return courseSize;
		}
		public void setCourseSize(Integer courseSize) {
			this.courseSize = courseSize;
		}
		public String getWeeks() {
			return weeks;
		}
		public void setWeeks(String weeks) {
			this.weeks = weeks;
		}
		public String getCourseDate() {
			return courseDate;
		}
		public void setCourseDate(String courseDate) {
			this.courseDate = courseDate;
		}
		
		
		
}
